export declare class StringifyingMap<K, V> {
    private readonly catToString;
    private internalMap;
    constructor(catToString: (k: K) => string);
    set(k: K, v: V): Map<string, V>;
    get(k: K): V;
    has(k: K): boolean;
    delete(k: K): boolean;
    get size(): number;
    forEach(callback: (value: V, key: string, map: Map<string, V>) => void, thisArg?: any): void;
}
